Subject: bug#55585: inetd-based bitlbee service terminating on new connections

From: Ludovic Courtès <[email-masked]>
Date: Wed, 25 May 2022 12:04:04 +0200

Hi Kaelyn,

Kaelyn <[email-masked]> skribis:

> Recently I upgraded my server running bitlbee for the first time in a few weeks (from guix commit 3363f2c878 to 14384d9586), and after rebooting I was unable to connect to bitlbee because the child service spawned on connect terminates within a few seconds. I'm not certain, but I believe commit 211fe3f66e "services: bitlbee: Use 'make-inetd-constructor'." is the culprit. From /var/log/messages (with the IP address edited out) when I try to connect:
>
> May 21 21:24:31 localhost shepherd[1]: Accepted connection on 0.0.0.0:22 from W.X.Y.Z:38014.
> May 21 21:25:21 localhost shepherd[1]: 0 connections still in use after bitlbee-3 termination.
> May 21 21:25:21 localhost shepherd[1]: Service bitlbee-3 has been disabled.
> May 21 21:25:21 localhost shepherd[1]: Transient service bitlbee-3 terminated, now unregistered.
> May 21 21:25:26 localhost shepherd[1]: Accepted connection on 0.0.0.0:6969 from W.X.Y.Z:46492.
> May 21 21:25:26 localhost shepherd[1]: Service bitlbee-4 has been started.
> May 21 21:25:26 localhost shepherd[1]: 0 connections still in use after bitlbee-4 termination.
> May 21 21:25:26 localhost shepherd[1]: Service bitlbee-4 has been disabled.
> May 21 21:25:26 localhost shepherd[1]: Transient service bitlbee-4 terminated, now unregistered.

What configuration of Bitlbee are you using?

I have this:

  (service bitlbee-service-type
           (bitlbee-configuration
            (bitlbee bitlbee-purple)
            (plugins (list purple-mattermost))))

and it works well, modulo warnings from libpurple about locale
conversion errors it seems (I haven’t investigated, but it’s harmless).

What do you see in your IRC client when connecting?

Can you reproduce the problem in a VM with ‘guix system vm’?

Thanks in advance,
Ludo’.